List planning events
curl --request GET \
--url https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/events \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/events"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": 123,
"name": "<string>",
"description": "<string>",
"system_stage": "draft",
"custom_status": "<string>",
"customer_id": 123,
"event_manager_id": 123,
"conversation_id": 123,
"pax": 123,
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"pricing_plan_id": 123,
"experience_id": 123,
"event_label_id": 123,
"event_portal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"current_total_price": 123,
"custom_attributes": {},
"metadata": {},
"allocation_ids": [
"<string>"
],
"access_level": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {}
}Planning Events
List planning events
GET
/
api
/
v1
/
accounts
/
{account_id}
/
planning
/
events
List planning events
curl --request GET \
--url https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/events \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/events"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": 123,
"name": "<string>",
"description": "<string>",
"system_stage": "draft",
"custom_status": "<string>",
"customer_id": 123,
"event_manager_id": 123,
"conversation_id": 123,
"pax": 123,
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"pricing_plan_id": 123,
"experience_id": 123,
"event_label_id": 123,
"event_portal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"current_total_price": 123,
"custom_attributes": {},
"metadata": {},
"allocation_ids": [
"<string>"
],
"access_level": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {}
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account